/*
 * This source code (including its associated software) is owned by
 * StorageCraft Technology Corporation and is protected by United States and
 * international intellectual property law, including copyright laws, patent
 * laws, and treaty provisions. Use of the source code without modification in
 * connection with StorageCraft products is permitted subject to the End-User
 * License Agreement for StorageCraft Products ("EULA"). A copy of the
 * StorageCraft EULA is available here:
 * https://www.storagecraft.com/legal/license-agreement. Any other use,
 * reproduction, or disclosure without the written permission of StorageCraft
 * Technology Corporation is prohibited.
 *
 * © 2014-2019 StorageCraft Technology Corporation. All rights reserved.
 */

/* Block Device Based storage for COW pages */
#ifndef STCVSM_COW_BDEV_H
#define STCVSM_COW_BDEV_H

#include "portability.h"

#define COW_BDEV_DEDICATED 0U
#define COW_BDEV_FREESPACE 1U

BIO_END_IO_PROTO(cow_bdev_write_endio, bio);

extern struct cow_ops cow_bdev_ops;

#endif
