/*
 * This source code (including its associated software) is owned by
 * StorageCraft Technology Corporation and is protected by United States and
 * international intellectual property law, including copyright laws, patent
 * laws, and treaty provisions. Use of the source code without modification in
 * connection with StorageCraft products is permitted subject to the End-User
 * License Agreement for StorageCraft Products ("EULA"). A copy of the
 * StorageCraft EULA is available here:
 * https://www.storagecraft.com/legal/license-agreement. Any other use,
 * reproduction, or disclosure without the written permission of StorageCraft
 * Technology Corporation is prohibited.
 *
 * © 2014-2019 StorageCraft Technology Corporation. All rights reserved.
 */

#ifndef STCVSM_PROC_H
#define STCVSM_PROC_H

struct block_device_filter;

int stcvsm_init_proc(void);
void stcvsm_remove_proc(void);
int stcvsm_init_proc_filter(struct block_device_filter *bdfilter);

/** @note blocking */
void stcvsm_remove_proc_filter(dev_t dev);

#endif
