/*
 * This source code (including its associated software) is owned by
 * StorageCraft Technology Corporation and is protected by United States and
 * international intellectual property law, including copyright laws, patent
 * laws, and treaty provisions. Use of the source code without modification in
 * connection with StorageCraft products is permitted subject to the End-User
 * License Agreement for StorageCraft Products ("EULA"). A copy of the
 * StorageCraft EULA is available here:
 * https://www.storagecraft.com/legal/license-agreement. Any other use,
 * reproduction, or disclosure without the written permission of StorageCraft
 * Technology Corporation is prohibited.
 *
 * © 2014-2019 StorageCraft Technology Corporation. All rights reserved.
 */

#ifndef STCVSM_COW_RANGE_H
#define STCVSM_COW_RANGE_H

#include <linux/rbtree.h>

struct cow_buffer;

struct cow_buffer *cow_search_range(struct rb_root *root, u32 index);
int cow_add_range(struct rb_root *root, u32 index, struct cow_buffer *cow);

#endif
